=== debian/changelog ===
nifti2dicom (0.4.5-1~nd10.10+1) maverick; urgency=low

  * Backported for maverick.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Tue, 31 Jul 2012 17:36:44 -0400

nifti2dicom (0.4.5-1) unstable; urgency=low

  * New upstream release.
  * Initial release. (Closes: #670171)

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Tue, 31 Jul 2012 12:17:56 +0200

nifti2dicom (0.4.3-2) UNRELEASED; urgency=low

  [ Yaroslav Halchenko ]
  * Build while just keeping that export for hardedning in debian/rules
    while relaxing (removing) versioned dpkg dependency

  [ Daniele E. Domenichelli ]
  * Add libgdcm2-dev to build dependencies

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Tue, 10 Jul 2012 00:03:48 +0200

nifti2dicom (0.4.3-1) UNRELEASED; urgency=low

  * Initial Debian package

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Thu, 28 Jun 2012 17:07:54 +0200
