## nifti2dicom 0.4.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,8 +22,8 @@
 
 set(Nifti2Dicom_MAJOR_VERSION "0")
 set(Nifti2Dicom_MINOR_VERSION "4")
-set(Nifti2Dicom_PATCH_VERSION "5")
-set(Nifti2Dicom_VERSION "0.4.5")
+set(Nifti2Dicom_PATCH_VERSION "6")
+set(Nifti2Dicom_VERSION "0.4.6")
 set(Nifti2Dicom_INTERNAL_VERSION "${Nifti2Dicom_MAJOR_VERSION}.${Nifti2Dicom_MINOR_VERSION}.${Nifti2Dicom_PATCH_VERSION}")
