=== debian/changelog ===
nifti2dicom (0.4.6-1) unstable; urgency=low

  * New upstream release.
  * Build with libinsighttoolkit4-dev (>= 4.3.0) or libinsighttoolkit3-dev.
  * Add libfftw3-dev to build dependencies.
  * Bump Standards-Version to 3.9.4; no changes needed.

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Fri, 21 Jun 2013 16:34:19 +0200
