=== debian/control ===
--- 
+++ 
@@ -1,20 +1,19 @@
 Source: nifti2dicom
 Section: science
 Priority: optional
-Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
-X-Original-Maintainer: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
+Maintainer: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
 Build-Depends: debhelper (>= 7.3.16),
  cdbs, cmake (>= 2.6.4), libqt4-dev (>= 4.4),
- libinsighttoolkit3-dev, libtclap-dev (>= 1.2.0),
- libvtk5-dev, libvtk5-qt4-dev, libgdcm2-dev
-Standards-Version: 3.9.3
+ libinsighttoolkit4-dev (>= 4.3.0) | libinsighttoolkit3-dev, libtclap-dev (>= 1.2.0),
+ libvtk5-dev, libvtk5-qt4-dev, libgdcm2-dev, libfftw3-dev
+Standards-Version: 3.9.4
 Homepage: https://github.com/biolab-unige/nifti2dicom
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/nifti2dicom.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-exppsy/nifti2dicom.git
 
 Package: nifti2dicom-data
 Architecture: all
-Depends: neurodebian-popularity-contest, ${misc:Depends}
+Depends: ${misc:Depends}
 Description: data files for nifti2dicom
  This package contains architecture-independent supporting data files
  required for use with nifti2dicom, such as such as documentation, icons,
@@ -22,7 +21,7 @@
 
 Package: nifti2dicom
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends},
  nifti2dicom-data (= ${source:Version})
 Description: convert 3D medical images to DICOM 2D series
  Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
@@ -37,7 +36,7 @@
 
 Package: qnifti2dicom
 Architecture: any
-Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
+Depends: ${shlibs:Depends}, ${misc:Depends},
  nifti2dicom (= ${binary:Version}), nifti2dicom-data (= ${source:Version})
 Description: convert 3D medical images to DICOM 2D series (gui)
  Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
