=== data/CMakeLists.txt ===
install(FILES qnifti2dicom.desktop DESTINATION share/applications)
add_subdirectory(icons)
