=== debian/changelog ===
nifti2dicom (0.4.7-2) unstable; urgency=medium

  * Build with libinsighttoolkit4-dev only on amd64 and i386.
    Insighttoolkit4 package is not build on different architectures.
  * Restore dependency on libfftw3-dev. This is necessary when building
    with libinsighttoolkit3-dev, due to #740628.
  * Refresh nd-backport.patch.

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Tue, 04 Mar 2014 15:01:57 +0100

nifti2dicom (0.4.7-1) unstable; urgency=low

  * New upstream release. (Closes: #729020)
  * Bump Standards-Version to 3.9.5; no changes needed.
  * Remove libgdcm2-dev and libfftw3-dev from b-d (Closes: #731925)
  * Add neurodebian backport patches
  * Do not modify CMakeLists from nd-backport.patch. Add
    nd-backport_itk-use-file.patch and fix nd-backport.patch in order to
    modify files only in debian.

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Fri, 03 Jan 2014 18:29:41 +0100

nifti2dicom (0.4.6-2) unstable; urgency=low

  * Link with -Wl,--as-needed. (Closes: #716712)

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Fri, 20 Sep 2013 09:14:50 +0200
