=== debian/watch ===
version=3
http://githubredir.debian.net/github/biolab-unige/nifti2dicom/v(.*).tar.gz
