=== debian/changelog ===
nifti2dicom (0.4.8-1~nd14.04+1) trusty; urgency=low

  * Backported for trusty.
  * Applied additional patch from debian/patches/trusty-dsc-patch.
  * Used following sed expression to modify debian/control: -e
    's/\(^Depends:\) */\1 neurodebian-popularity-contest, /g' -e
    's/^Maintainer:.*$/Maintainer: NeuroDebian Maintainers
    <team@neuro.debian.net>\nX-Original-&/'.

 -- NeuroDebian Maintainers <team@neuro.debian.net>  Thu, 05 Jun 2014 01:59:53 -0400

nifti2dicom (0.4.8-1) unstable; urgency=medium

  * New upstream release.
  * Change VTK  b-d to libvtk6-dev | libvtk5-qt4-dev.
  * Refresh nd-backport.patch.
  * Add backport patch for Ubuntu trusty.

 -- Daniele E. Domenichelli <daniele.domenichelli@gmail.com>  Thu, 05 Jun 2014 00:37:19 +0200
