=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: nifti2dicom
 Section: science
 Priority: optional
-Maintainer: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
+Maintainer: NeuroDebian Maintainers <team@neuro.debian.net>
+X-Original-Maintainer: Daniele E. Domenichelli <daniele.domenichelli@gmail.com>
 Build-Depends: debhelper (>= 7.3.16),
  cdbs, cmake (>= 2.6.4), libqt4-dev (>= 4.4),
  libinsighttoolkit4-dev (>= 4.3.0) [i386 amd64] | libinsighttoolkit3-dev,
  libfftw3-dev,
  libtclap-dev (>= 1.2.0),
- libvtk5-dev, libvtk5-qt4-dev
+ libvtk6-dev, libpython2.7-dev, libqt4-opengl-dev
 Standards-Version: 3.9.5
 Homepage: https://github.com/biolab-unige/nifti2dicom
 Vcs-Git: git://anonscm.debian.org/pkg-exppsy/nifti2dicom.git
@@ -15,7 +16,7 @@
 
 Package: nifti2dicom-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: neurodebian-popularity-contest, ${misc:Depends}
 Description: data files for nifti2dicom
  This package contains architecture-independent supporting data files
  required for use with nifti2dicom, such as such as documentation, icons,
@@ -23,7 +24,7 @@
 
 Package: nifti2dicom
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
  nifti2dicom-data (= ${source:Version})
 Description: convert 3D medical images to DICOM 2D series
  Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
@@ -38,7 +39,7 @@
 
 Package: qnifti2dicom
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends},
+Depends: neurodebian-popularity-contest, ${shlibs:Depends}, ${misc:Depends},
  nifti2dicom (= ${binary:Version}), nifti2dicom-data (= ${source:Version})
 Description: convert 3D medical images to DICOM 2D series (gui)
  Nifti2Dicom is a convertion tool that converts 3D NIfTI files (and other
